<?php
        $prihlaseni = FALSE;
        
        if($_GET[odhlaseni] == "true") {
                setcookie("klic", "", time() - 3600);
                session_destroy();
                header("Location: index.php");
                exit();
        } 
        elseif(isset($_COOKIE[klic])) {
                $ip = $_SERVER[REMOTE_ADDR];
                $query = mysql_query("SELECT id,jmeno,admin FROM forum_uzivatele WHERE (ip = '$ip' AND klic = '$_COOKIE[klic]')") or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                $row = mysql_fetch_array($query);
                if(empty($row)) {
                        setcookie("klic", "", time() - 3600);
                } else {
                        $klic = md5(date("U"));
                        setcookie("klic", $klic, time()+24*3600*14);
                        mysql_query("UPDATE forum_uzivatele SET ip = '$ip', klic = '$klic' WHERE id = '$row[id]';") or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                        $prihlaseni = TRUE;
                }
        } elseif((isset($_SESSION[jmeno_aut])) && (isset($_SESSION[heslo_aut]))) {
                $query = mysql_query("SELECT id,jmeno,admin FROM forum_uzivatele WHERE (heslo = '$_SESSION[heslo_aut]' AND jmeno = '$_SESSION[jmeno_aut]')") or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                $row = mysql_fetch_array($query);
                if(empty($row)) {
                        session_destroy();
                } else {
                        $prihlaseni = TRUE;
                }
        } elseif(isset($_POST[prihlasit])) {
                if(!empty($_POST[robutek])) { die("Nevyplňuj poslední prázdné pole!"); }
                $heslo_aut = sha1(orez_retezec_2($_POST[heslo]));
                $jmeno_aut = orez_retezec($_POST[jmeno]);
                $trvale = orez_retezec($_POST[trvale]);
                $query = mysql_query("SELECT id FROM forum_uzivatele WHERE (heslo = '$heslo_aut' AND LOWER(jmeno) = '$jmeno_aut')") or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                $row = mysql_fetch_array($query);
                if(empty($row)) {
                        $chyba_prihlaseni = TRUE;
                } else {
                        if($trvale) {
                                $klic = md5(mt_rand(1, 10000));
                                setcookie("klic", $klic, time()+24*3600*14);
                                $ip = $_SERVER[REMOTE_ADDR];
                                mysql_query("UPDATE forum_uzivatele SET ip = '$ip', klic = '$klic' WHERE id = '$row[id]';") or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                        } else {
                                $_SESSION[jmeno_aut] = $jmeno_aut;
                                $_SESSION[heslo_aut] = $heslo_aut;
                        }
                        header("Location: index.php");
                        exit();
                }
        }

        $prihlaseni_jmeno = $row[jmeno];
        $prihlaseni_id = $row[id];
        $prihlaseni_admin = $row[admin];
?>